/* Java */

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;

public class equation {

	private static String INPUT_FILE = "equation.in";
	private static String OUTPUT_FILE = "equation.out";
	
	private static BufferedReader in;
	private static BufferedWriter out;
	
	public static void solve() throws Exception{
		String[] spl = in.readLine().split(" ");
		int a = Integer.parseInt(spl[0]);
		int b = Integer.parseInt(spl[1]);
		int c = Integer.parseInt(spl[2]);
		String firstSign = "?";
		String secondSign = "=";
		
		if (a+b == c) {
			firstSign = "+";
		} else if (a-b == c) {
			firstSign = "-";
		} else if (a * b == c) {
			firstSign = "*";
		} else if (a == b * c){ // instead of division
			firstSign = "=";
			secondSign = "*";
		} else if (a == b + c) {
			firstSign = "=";
			secondSign = "+";
		} else if (a == b - c) {
			firstSign = "=";
			secondSign = "-";
		} else if (b == a * c) {
			firstSign = "=";
			secondSign = "/";
		}
		
		out.append(spl[0] + firstSign + spl[1] + secondSign + spl[2] + "\n");
	}
	
	public static void main(String[] args) {
		try {
			in = new BufferedReader(new FileReader(new File(INPUT_FILE)));
			out = new BufferedWriter(new FileWriter(new File(OUTPUT_FILE)));
			solve();
			out.flush();
		} catch(Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
	
}
