/* GCC */
#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <string>

using namespace std;
int n;
struct edge{
    int x, y, n;
    edge(int a, int b, int c){
        x=a; y=b; n=c;
    }
    print(){
        cout<<x<<' '<<y<<' '<<n<<endl;
    }
};
vector<edge> edges;

void show(vector<int> a){
    for(int i=0; i<a.size(); i++){
        cout<<a[i]<<' ';
    }
    cout<<endl;
}

void show(vector< vector<int> > a){
    for(int i=0; i<a.size(); i++){
        show(a[i]);
    }
    cout<<endl;
}

bool mycmp(edge a, edge b){
    if(a.x==b.x) return a.y<b.y;
    return a.x<b.x;
}

void readData(){
    freopen("magic.in", "r", stdin);

    scanf("%d", &n);
    n++;
    int z, j;
    for(int i=0; i<n; i++){
        scanf("%d%d", &z, &j);
        edges.push_back(edge(z, j, i+1));
    }
    sort(edges.begin(), edges.end(), mycmp);
    //for(int i=0; i<n; i++) edges[i].print();

    fclose(stdin);
}

void fileOut(){
    freopen("magic.out", "w", stdout);

    fclose(stdin);
}

int main(){
    readData();
    fileOut();
    return 0;
}
