/* GCC */

#include<fstream>
#include<algorithm>

using namespace std;

int n;
pair<int, int> arr[100001];

bool hasPoint(pair<int, int> p1, pair<int, int> p2){
    return p1.first >= p2.second;
}

int main(){
    ifstream in;
    in.open("magic.in");
    ofstream out;
    out.open("magic.out");

    in >> n;
    for(int i = 0; i < n+1; i++){
        in >> arr[i].second >> arr[i].first;
    }
    sort(arr, arr+n+1);
    int badindex = 0;
    for(int i = 1; i < n+1; i++){
        if(!badindex && !hasPoint(arr[0], arr[i])){
            badindex = i;
        }
        else if(badindex && !hasPoint(arr[0], arr[i])){
            badindex = 0;
            break;
        }
    }
    out << badindex + 1 << endl;

    out.close();
    in.close();
}

