/* GCC */
#include <iostream>
#include <fstream>

using namespace std;

struct Line{
  short L = 0;
  short R = 0;
  short id = 0;
};

int main(){
    ifstream input("magic.in");
    ofstream output("magic.out");
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, last;
    Line magic[100000];
    input >> n;
    for(int i = 0; i < (n+1); i++){
        input >> magic[i].L >> magic[i].R;
        if(magic[i].L > magic[i].R)
            swap(magic[i].L, magic[i].R);
        magic[i].id = i+1;
    }

    for(int i = 0; i < (n+1); i++){
        for(int j = 1; j < (n-i+1); j++){
            if(magic[j].L < magic[j-1].L)
                swap(magic[j], magic[j-1]);
        }
    }
    last = magic[0].R;
    for(int i = 1; i < n+1; i++){
        if(last != magic[i].L){
            output << magic[i].id << endl;
            return 0;
        }
        last = magic[i].R;
    }
    output << magic[0].id << endl;
    return 0;
}
