/* GCC */
#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <string>

using namespace std;
int n;
struct dot{
    int x, n;
    bool starts;
    dot(int a, int b, bool c){
        x=a; n=b; starts=c;
    }
};
vector<dot> dots;

bool mycmp(dot a, dot b){
    if(a.x==b.x) return a.starts;
    return a.x<b.x;
}

int readData(){
    freopen("magic.in", "r", stdin);

    scanf("%d", &n);
    n++;
    int z, j;
    for(int i=0; i<n; i++){
        scanf("%d%d", &z, &j);
        dots.push_back(dot(z, i+1, true));
        dots.push_back(dot(j, i+1, false));
    }
    sort(dots.begin(), dots.end(), mycmp);

    int c=0;
    bool ends=false;
    for(int i=0; i<dots.size()-1; i++){
        if(dots[i].starts) {
            c++;
            if(ends) return dots[i].n;
            if(c==n-1) ends=true;
        }
        else {
            if(!ends) return dots[i].n;
            c--;
        }
    }


    fclose(stdin);
}

void fileOut(int a){
    freopen("magic.out", "w", stdout);

    printf("%d\n", a);

    fclose(stdin);
}

int main(){
    fileOut(readData());
    return 0;
}
