/* GCC */

#include <cstdio>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

bool ComDot(int a1, int a2, int b1, int b2){
    if ((a2 < b1) || (b2 < a1)) return false;
    return true;
}

int main(){
    freopen ("magic.in", "r", stdin);
    freopen ("magic.out", "w", stdout);

    int n;
    vector <pair <int, int> > Edge;
    vector <int> Inter;

    scanf("%d", &n);
    Edge.resize(n+1);
    Inter.assign(n+1, 0);

    for (int i = 0; i<=n; i++){
        scanf("%d%d", &Edge[i].first, &Edge[i].second);
    }

    for (int i = 0; i<=n; i++){
        for (int j = 0; j<=n; j++){
            if (!ComDot(Edge[i].first, Edge[i].second, Edge[j].first, Edge[j].second)){
                //printf("%d %d, %d %d %d %d\n", i,j, Edge[i].first, Edge[i].second, Edge[j].first, Edge[j].second);
                Inter[i]++; Inter[j]++;
            }
        }
    }
/*
    for (int i = 0; i<=n; i++){
        printf("%d ", Inter[i]);
    }
    printf("\n");
*/
    int k  = 0;
    for (int i = 0; i<=n; i++){
        if (Inter[i] > 2){
            printf("%d", i+1);
            return 0;
        }
        if (Inter[i] == 1) k = i;
    }

    printf("%d", k+1);

    return 0;
}
