""" Python 2 """

in_file = open('magic.in', 'r')
data = in_file.readlines()
N = int(data[0].strip())
nodes = data[1:]
in_file.close()

def add_dep(nn):
    n1 = int(nn[0]) - 1
    n2 = int(nn[1]) - 1
    graph[n1].append(n2)
    graph[n2].append(n1)

def dfs(graph, node, node_state):
    if not node_state[node]:
        node_state[node] = True
        for n in graph[node]:
            dfs(graph, n, node_state)
    return node_state

graph = []
node_state = []
count_nodes = len(set(' '.join(nodes).split()))
for _ in xrange(count_nodes):
    graph.append([])
    node_state.append(False)
for n in nodes: add_dep(n.strip().split())

state = dfs(graph, 0, node_state)
if False in state:
    m1, m2 = [i + 1 for i in xrange(count_nodes) if not state[i]]
    mm1, mm2 = '{} {}'.format(m1, m2), '{} {}'.format(m2, m1)
    if mm1 in nodes:
        result = nodes.index(mm1) + 1
    else:
        result = nodes.index(mm2) + 1
else:
    result = 1

out_file = open('magic.out', 'w')
out_file.write('{}'.format(result))
out_file.close()
