/* GCC */
#include <iostream>
#include <fstream>
#include <string>
#include <vector>

using namespace std;

template<typename T1, typename T2>
class Pair{
public:
    Pair(){
    }
    Pair(T1 t1, T2 t2){
        first = t1;
        second = t2;
    }
    T1 first;
    T2 second;
};

int main(){
    ifstream in;
    in.open("magic.in");
    int n;
    in >> n;
    vector<pair<int, int> > arr;
    for(int i = 0;i < n + 1;i++){
        int a, b;
        in >> a >> b;
        arr.push_back(make_pair(a, b));
    }
    in.close();
    int c = 1;
    for(int i = 0;i < n + 1;i++){
        int a = arr[i].first;
        int b = arr[i].second;
        int found = 0;
        for(int j = 0;j < n + 1;j++){
            int a2 = arr[j].first;
            int b2 = arr[j].second;
            if(a == a2 || b == b2 || a == b2 || b == a2){
                found++;
                if(found == 3){
                    break;
                }
            }
        }
        if (found != 2){
            c = i + 1;
            break;
        }
    }
    ofstream out;
    out.open("magic.out");
    out << c << endl;
    out.close();
    return 0;
}
