import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;

public class magic {

	public static void main(String[] args) throws Exception {
		BufferedReader reader = new BufferedReader(new FileReader("magic.in"));
		FileWriter writer = new FileWriter("magic.out");

		int total = Integer.parseInt(reader.readLine()) + 1;
		int result = 0;
		int[][] segments = new int[total][2];
		for (int i = 0; i < total; i++) {
			String[] split = reader.readLine().split(" ");
			int start = Integer.parseInt(split[0]);
			int end = Integer.parseInt(split[1]);
			segments[i][0] = start;
			segments[i][1] = end;
		}
		
		int maximumFails = 0;
		int maximumFailsSegment = 0;
		
		for(int i = 0; i < total; i++) {
			System.out.println(i);
			int[] segment1 = segments[i];
			int fails = 0;
			for (int i2 = 0; i2 < total; i2++) {
				if(i == i2)
					continue;
				int[] segment2 = segments[i2];
				if (segment1[0] > segment2[1] || segment1[1] < segment2[0]) {
					fails++;
					System.out.println("fails: " + fails);
					if(fails > maximumFails) {
						maximumFails = fails;
						maximumFailsSegment = i;
						System.out.println(i + " is maximum failure");
					}
				}
			}
		}
		writer.write(Integer.toString(maximumFailsSegment + 1));
		reader.close();
		writer.close();
	}

}
