""" Python 3 """

in_file = open('magic.in', 'r')
data = in_file.readlines()
N = int(data[0])
nodes = [d.strip() for d in data[1:]]
in_file.close()

def add_dep(nn):
    n1 = nn[0]
    n2 = nn[1]
    if not n2 in graph.get(n1): graph[n1].append(n2)
    if not n1 in graph.get(n2): graph[n2].append(n1)

def dfs(graph, node, node_state):
    if not node_state.get(node):
        node_state[node] = True
        for n in graph.get(node):
            dfs(graph, n, node_state)
    return node_state

nnodes = set(' '.join(nodes).split())
count_nodes = len(nnodes)
graph = {nn : [] for nn in nnodes}
node_state = {nn : False for nn in nnodes}
for n in nodes: add_dep(n.split())

state = dfs(graph, list(nnodes)[0], node_state)

mt = []
mf = []
for n in state:
    if state.get(n):
        mt.append(n)
    else:
        mf.append(n)
mm = mf if len(mf) <= len(mt) else mt

m1, m2 = mm[0], mm[1]
mm1, mm2 = m1 + ' ' + m2, m2 + ' ' + m1
if mm1 in nodes:
    result = nodes.index(mm1) + 1
else:
    result = nodes.index(mm2) + 1

out_file = open('magic.out', 'w')
out_file.write('{}'.format(result))
out_file.close()
