/* GCC */
#include <iostream>
#include <vector>
#include <set>
#include <iomanip>
#include <string>
#include <cstdio>
#include <list>
#include <map>
#include <algorithm>

using namespace std;

bool touched (pair<double, double>& a, pair<double, double>& b)
{
	if((a.first <= b.fist && a.second >= b.first) || (a.first <= bsecond && a.second >= b.second)) return true;
	else return false;
}

int main()
{
	freopen("magic.in", "r", stdin);
	freopen("magic.out", "w", stdout);

	int n;
	cin >> n;
	n++;

	vector<pair<double, double> > vals (n);

	for (int i = 0; i < n; i++){
		cin >> vals[i].first >> vals[i].second;
		if (vals[i].first > vals[i].second){
			double a = vals[i].first;
			vals[i].first = vals[i].second;
			vals[i].second = a;
		}
	}
	sort(vals.begin(); vals.end());

	if(n <= 2){
		cout << "1" << endl;
		return 0;
	} else if(n == 3){
		bool t0_1 = touched(vals[0], vals[1]);
		bool t0_2 = touched(vals[0], vals[2]);
		bool t1_2 = touched(vals[1], vals[2]);

		if(t1_2 && t0_2 && t0_1){
			cout << 1 << endl;
			return 0;
		} else if (t0_1 && t1_2){
			cout << 3 << endl;
			return 0;
		} else if (t1_2){
			cout << 1 << endl;
			return 0;
		}
	} else{
		vector<pair<double, int> > dist (n);
		for(int i = 0; i < n; i++){
			dist[i].first = vals[i].second - vals[i].first;
			dist[i].second = i;
		}

		sort(dist.begin(), dist.end());

		
	}

	return 0;
}