/* GCC */
#include <iostream>
#include <stdio.h>

using namespace std;

#define ll long long

#define MAXN 1000100

int n;
pair<ll, ll> A[MAXN];

pair<ll, ll> cross(pair<ll, ll> a, pair<ll, ll> b)
{
    pair<ll, ll> res;
    if ((a.second < b.first) || (b.second < a.first)){
        res.first = 0;
        res.second = 0;
        return res;
    }
    if (a.first < b.first)
        res.first = b.first;
    else
        res.first = a.first;
    if (a.second > b.second)
        res.second = b.second;
    else
        res.second = a.second;

    return res;
}

int main(void)
{
    freopen("magic.in", "r", stdin);
    freopen("magic.out", "w", stdout);

    cin >> n; n++;
    for (int i=1; i<=n; i++){
        cin >> A[i].first >> A[i].second;
    }

    pair<ll, ll> x = A[1], y;
    int t=0;
    for (int i=1; i<=n; i++){
        y = cross(x, A[i]);
        if (y.first == 0){
            if (t != 0){
                cout << t-1 << endl;
                return 0;
            }
            t = i;
            y = x;
        }
        x = y;
    }

    if (t == 0)
        cout << "1" << endl;
    else
        cout << t << endl;
    return 0;
}
