{ Free Pascal }

const nmax=1000005;
type tmas=array[1..nmax, 1..4] of LongInt;

var mas:tmas;
procedure swap(a, b, i:LongInt);
var t:longint;
begin
  t:=mas[a, i];
  mas[a, i]:=mas[b, i];
  mas[b, i]:=t;
end;

procedure qsort(n:LongInt);
  procedure sort (l, r:longint);
  var et, i, j:LongInt;
  begin
    i:=l;
    j:=r;
    et:=mas[i+(j-i)div 2, 2];
    while i<j do
    begin
      while mas[i, 2]<et do Inc(i);
      while mas[j, 2]>et do Dec(j);
      if i<=j
      then begin
        swap(i, j, 1);
        swap(i, j, 3);
        swap(i, j, 2);
        swap(i, j, 4);
        Inc(i);
        Dec(j);
      end;
    end;
    if i<r
    then sort(i, r);
    if j>l
    then sort(l, j);
  end;
begin
  sort(1, n);
end;

function per(a, b:LongInt):Boolean;
begin
  if (mas[a, 4]<mas[b, 2])or
     (mas[a, 1]>mas[b, 3])or(mas[a, 3]<mas[b, 1])
  then per:=false
  else per:=True;
end;


var f, g:Text;
    n, m, q, i, j:LongInt;
    ans:Int64;
begin
  assign(f, 'football.in');
  Reset(f);
  assign(g, 'football.out');
  Rewrite(g);
  read(f, n, m, q);
  for i:=1 to q do
    read(f, mas[i, 1], mas[i, 2], mas[i, 3], mas[i, 4]);

  qsort(q);
  ans:=0;
  for i:=1 to q do
    for j:=(i+1) to q do
      if per(i, j)
      then Inc(ans);
  Writeln(g, Ans);
  Close(f);
  Close(g);
end.