/* GCC */

#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
#include <cmath>
using namespace std;

int n,m, players, ans;
ifstream in("football.in");
ofstream out("football.out");
int main(){
    in >> n >> m >> players;
    int x1[players];
    int x2[players];
    int y1[players];
    int y2[players];
    bool pairs[players][players];
    for(int i = 0; i < players; i++){
        for(int j = 0; j < players; j++){
            pairs[i][j] = false;
        }
    }
    for(int i = 0; i < players; i++){
        in >> x1[i] >> y1[i] >> x2[i] >> y2[i];
    }
    for(int i = 0; i < players - 1; i++){
        for(int j = i+1; j < players; j++){
            if((x2[j] >= x1[i]) && (y2[j] >= y1[i]) && (x2[j] <= x2[i]) && (y2[j] <= y2[i])){
                pairs[i][j] = true;
                pairs[j][i] = true;
            }
            if((x2[j] >= x1[i]) && (y1[j] <= y2[i]) && (x2[j] <= x2[i]) && (y1[j] >= y1[i])){
                pairs[i][j] = true;
                pairs[j][i] = true;
            }
            if((x1[j] <= x2[i]) && (y1[j] <= y2[i]) && (x1[j] >= x1[i]) && (y1[j] >= y1[i])){
                pairs[i][j] = true;
                pairs[j][i] = true;
            }
            if((x1[j] <= x2[i]) && (y2[j] >= y1[i]) && (x1[j] >= x1[i]) && (y2[j] <= y2[i])){
                pairs[i][j] = true;
                pairs[j][i] = true;
            }

            if((x2[i] <= x2[j]) && (y2[i] >= y1[j]) && (x1[i] >= x1[j]) && (y1[i] >= y1[j])){
                pairs[i][j] = true;
                pairs[j][i] = true;
            }
        }
    }
    for(int i = 0; i < players; i++){
        for(int j = 0; j < players; j++){
            if(pairs[i][j]){
                ans++;
            }
        }
    }
    out << ans / 2;
}
