#include<iostream>
#include<fstream>
#include<cmath>

using namespace std;


int64_t fact(int64_t a){
    if(a == 1 || a == 0)
        return 1;
    else if(a > 1){
        return a*fact(a-1);
    }
}

int64_t comb(int64_t n, int64_t k){
    return fact(n) / (fact(n-k) * fact(k));
}

int main(){
    ifstream fin("radioactive.in");
    ofstream fout("radioactive.out");

    int64_t N, C;
    fin >> N >> C;
    int64_t counter = 0;


    for(int64_t i = 0; i < N; i++){
        if(i <= C){
            counter += comb(N, i);
        }
        else{
            counter += comb(N,i) / N * (i-1);
        }
    }


    fout <<  counter << endl;


    fin.close();
    fout.close();
    return 0;
}

