/* GCC */

#include <cstdio>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

long long pow2(long long x){
    long long k = 1;
    if (x < 1) return 1;
    for (long long i = 0; i<x; i++){
        k = (k*2)%1000000007;
    }
    return k;
}

int main(){
    freopen ("radioactive.in", "r", stdin);
    freopen ("radioactive.out", "w", stdout);

    long long n,c,k = 0;
    vector <int> Kol;

    scanf("%lld", &n);
    scanf("%lld", &c);

    if (c >= n){
        k = pow2(n);
        printf("%lld", k);
        return 0;
    }

    Kol.resize(n+1);

    for (int i = 0; i<=n; i++){
        if (i<=c) {
            Kol[i] = pow2(i);
            k = (k+Kol[i])%1000000007;

        } else {
            Kol[i] = k;
            k -= Kol[i-c-1];
            k += Kol[i];
            k = k%1000000007;
        }


    }

    printf("%lld", Kol[n]);
    return 0;
}

