/* GCC */
#include <iostream>
#include <fstream>
#include <cstdio>
#include <string>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

typedef unsigned long long ull;

int main()
{
    const int divisor = 1000000007; //10**9+7
    const int ddivisor = divisor*2;
    ifstream in;
    ofstream out;
    //in = fopen("A.in", "r");
    in.open("radioactive.in");
    out.open("radioactive.out");
    ull n, c;
    in >> n >> c;
    ull minuss = 0;
    if (n > c) {
        for (ull i = 0; i < n-c; i++) {
            minuss = (minuss + ((1<<i) % ddivisor)) % ddivisor;
        }
    }
    ull base = 1;
    for (ull i = 0; i < n; i++) {
        base = (base + ((1<<i) % ddivisor)) % ddivisor;
    }
    ull ans = (base - minuss) % divisor;
    out << ans << endl;
    return 0;
}
