#include <iostream>
#include <fstream>
#include <cstdlib>
#include <string>

using namespace std;

string checkTriplet(int , int , int );
string checkTripletRev(int , int , int );

int main()
{
    fstream fs;
    fs.open("equation.in" , ios::in);
    int in[3];
    for(int i = 0; i < 3; i++) {
        fs >> in[i];
    }
    for(int i = 0; i < 3; i++)
    fs.close();
    string res;

    res = checkTriplet(in[0], in[1], in[2]) + checkTripletRev(in[2], in[1], in[0]);

    fs.open("equation.out", ios::out | ios::trunc);
    fs << res;
    fs.close();
    return 0;
}
string checkTriplet(int ai, int bi, int ci) {
    string ret;
    char *a = new char[2], *b = new char[2], *c = new char[2];
    /*itoa(ai, a, 10);
    itoa(bi, b, 10);
    itoa(ci, c, 10);
    */
    if(ai + bi == ci)
        ret = to_string(ai) + "+" + to_string(bi) + "=" + to_string(ci) + "\n";
    if(ai - bi == ci)
        ret = to_string(ai) + "-" + to_string(bi) + "=" + to_string(ci) + "\n";
    if(ai * bi == ci)
        ret = to_string(ai) + "*" + to_string(bi) + "=" + to_string(ci) + "\n";
    if(bi != 0){
        if(ai / bi == ci)
            ret = to_string(ai) + "/" + to_string(bi) + "=" + to_string(ci) + "\n";
    }
    return ret;
}

string checkTripletRev(int ai, int bi, int ci) {
string ret;
    char* a = new char[2], *b = new char[2], *c = new char[2];
    /*itoa(ai, a, 10);
    itoa(bi, b, 10);
    itoa(ci, c, 10);*/
    if(ai + bi == ci)
        ret = to_string(ci) + "=" + to_string(bi) + "+" + to_string(ai) + "\n";
    if(bi - ai == ci)
        ret = to_string(ci) + "=" + to_string(bi) + "-" + to_string(ai) + "\n";
    if(ai * bi == ci)
        ret = to_string(ci) + "=" + to_string(bi) + "*" + to_string(ai) + "\n";
    if(ai != 0){
        if(bi / ai == ci)
            ret = to_string(ci) + "=" + to_string(bi) + "/" + to_string(ai) + "\n";
    }
    return ret;
}
