// Java

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Writer;
import java.util.ArrayList;
import java.util.Scanner;

public class equation {
	
	public static void main(String[] args) {
		File fileIn = new File("equation.in");
		File fileOut = new File("equation.out");
		
		ArrayList<Integer> mainList = new ArrayList<>();
		
		try {
			Scanner sc = new Scanner(fileIn);
			while(sc.hasNextInt()){
				mainList.add(sc.nextInt());
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		
		int n1 = mainList.get(0), n2 = mainList.get(1), n3 = mainList.get(2);
		
		String s1 = "", s2 = "";
		
		if(n1 + n2 == n3){
			s1 = "+";
			s2 = "=";
		} else if(n1 - n2 == n3){
			s1 = "-";
			s2 = "=";
		} else if(n1 * n2 == n3){
			s1 = "*";
			s2 = "=";
		} else if(n2 != 0 && n1 / n2 == n3){
			s1 = "/";
			s2 = "=";
		} else if(n1 == n2 + n3){
			s1 = "=";
			s2 = "+";
		} else if(n1 == n2 * n3){
			s1 = "=";
			s2 = "*";
		} else if(n1 == n2 - n3){
			s1 = "=";
			s2 = "-";
		} else if(n3 != 0 && n1 == n2 / n3){
			s1 = "=";
			s2 = "/";
		}
		
		
		
		try {
			Writer wr = new FileWriter(fileOut);
			wr.write(String.valueOf(n1));
			wr.write(s1);
			wr.write(String.valueOf(n2));
			wr.write(s2);
			wr.write(String.valueOf(n3));
			wr.write("\r\n");
			
			wr.flush();
			wr.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
