program boxes;

{$APPTYPE CONSOLE}

uses
  SysUtils;

type
  tarr = array [1..60000] of word;

procedure swap(var a1, a2: word);
var
  temp: word;
begin

  temp:=a1;
  a1:=a2;
  a2:=temp;

end;

procedure qsort(var mas: tarr; l, r: longint);
var
  i, j, k: longint;

begin

  k:=mas[(l+r) div 2];
  i:=l; j:=r;

  while (i<j) do
  begin

    while (mas[i]<k) do
      inc(i);

    while (mas[j]>k) do
      dec(j);

    if (i<=j) then
    begin

      swap(mas[i], mas[j]);
      inc(i);
      dec(j);

    end;

  end;

  if (l<j) then qsort(mas, l, j);
  if (i<r) then qsort(mas, i, r);

end;

var
  f1, f2: text;
  mas: tarr;
  n, m: longint;
  i, count: longint;
  flag: boolean;
  
begin

  assign(f1, 'boxes.in');
  assign(f2, 'boxes.out');
  reset(f1);
  rewrite(f2);

  read(f1, n, m);

  for i:=1 to m do
    read(f1, mas[i]);

  qsort(mas, 1, m);

  i:=1;
  count:=0;
  flag:=true;
  while (i<m+1) and (flag) do
  begin

    if (n-mas[i]<0) then
      flag:=false
    else
    begin

      n:=n-mas[i];
      inc(i);
      inc(count);
      
    end;

  end;

  write(f2, count);

  close(f1);
  close(f2);

end.
