/* GCC */

#include <fstream>
#include <iostream>

using namespace std;

int chip(int *mas, int large)
{
    int ans = 0;
    for (int i = 0; i < large; i++)
    {
        if (mas[i] != 0)
        {
            ans = i;
        }
    }
    if (ans == 0)
    {
        return -1;
    }
    else
    {
        for (int i = 0; i < large; i++)
        {
            if ((mas[i] < mas[ans]) && (mas[i] > 0))
            {
                ans = i;
            }
        }
        return ans;
    }

}

int main()
{
    ifstream in("boxes.in");
    ofstream out("boxes.out");
    int boxesNum, schoolNum;
    in >> boxesNum >> schoolNum;
    int *schools = new int[schoolNum];
    for (int i = 0; i < schoolNum; i++)
    {
        in >> schools[i];
    }
    int counter = 0;
    int index = chip(schools, schoolNum);
    int box = schools[index];
    while (box <= boxesNum && index != -1)
    {
        counter++;
        schools[index] = 0;
        index = chip(schools, schoolNum);
        box += schools[index];
    }
    out << counter;
    return 0;
}
