/* GCC */
#include <iostream>
#include <fstream>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    ifstream input("magic.in");
    ofstream output("magic.out");

    //Declaration and Receiving Data
    int n, i, j;
    bool hasRes;
    input >> n;
    int o[n+1][2];

    for (i = 0; i < n; i++) {
        input >> o[i][0] >> o[i][1];
        if ( o[i][0] > o[i][1] ) {
            swap(o[i][0], o[i][1]);
        }
    }

    //Solving
    for (i = 0; i < n + 1; i++) {
        hasRes = true;
        for (j = 0; j < n + 1; j++) {
            if (
                  ((o[i][0]>=o[j][0] && o[i][0]<=o[j][1]) ||
                  (o[i][1]>=o[j][0] && o[i][1]<=o[j][1]) ||
                  (o[j][0]>=o[i][0] && o[j][0]<=o[i][1]) ||
                  (o[j][1]>=o[i][0] && o[j][1]<=o[i][1])) && (i!=j)
                ) {
                hasRes = false;
            }
        }
        if (hasRes) {
            output << i+1 << endl;
            break;
        }
    }

    if (!hasRes) {
        output << 1 << endl;
    }



    return 0;
}
