#include <iostream>
#include <fstream>
#include <algorithm>

using namespace std;

struct LV{
    int l;
    int i;
};

struct RV{
    int r;
    int i;
};

bool operator<(LV a, LV b){
    return a.l < b.l;
}

bool operator<(RV a, RV b){
    return a.r < b.r;
}

int main(){
    ifstream fin;
    fin.open("magic.in");
    ofstream fout;
    fout.open("magic.out");
    int n;
    fin >> n;
    LV L[n+1];
    RV R[n+1];
    for(int i = 0; i < n+1; i++ ){
        fin >> L[i].l >> R[i].r;
        L[i].i = i+1;
        R[i].i = i+1;
    }
    fin.close();
    sort(L, L+n+1);
    sort(R, R+n+1);
    if(L[n].l <= R[0].r){
        fout << 1 << endl;
        fout.close();
        return 0;
    }
    if(R[1].r >= L[n].l){
        fout << R[0].i << endl;
    } else {
        fout << L[n].i << endl;
    }
    fout.close();
    return 0;
}




