/* GCC */
#include <bits/stdc++.h>

#define pb push_back
#define ft first
#define sd second

#define pii pair<int, int>

#define open(s) freopen(s".in", "r", stdin); freopen(s".out", "w", stdout);

typedef long long ll;

using namespace std;

int main(){
    open("magic");

    int n;
    scanf("%d", &n);

    if (n == 1)
    {
        printf("1\n");
        return 0;
    }

    vector <pair <pii, int> > inp(n + 1);
    for (int i = 0; i <= n; ++i)
    {
        int li, ri;
        scanf("%d%d", &li, &ri);

        inp[i] = {{li, ri}, i + 1};
    }

    sort(inp.begin(), inp.end());

    int minRInd  = -1;
    int currL = -1, currR = -1;

    for (int i = 1; i <= n + 1; ++i)
    {
        pii temp = inp[i - 1].ft;
        int l = temp.ft;
        int r = temp.sd;

        //cerr << l << " " << r << " " << currL << " " << currR << "\n";

        if (currR == -1)
        {
            currL = l;
            currR = r;
            minRInd = 1;

            continue;
        }

        if (l <= currR)
        {
            currL = l;
            if (r < currR) // or '<= '??
            {
                minRInd = inp[i-1].sd;
                currR = r;
            }
        }
        else
        {
            // if last, then it is an answer, as they are sorted
            if (i == n + 1)
            {
                printf("%d\n", inp[i-1].sd);
                return 0;
            }

            // else print the minimum (the one destroyed the normal range)
            printf("%d\n", minRInd);
            return 0;
        }

        //cerr << "D " << l << " " << r << " " << currL << " " << currR << "\n";
    }

    // if everything is fine, then print min(does not matter)
    printf("%d\n", minRInd);

    return 0;
}

