/* GCC */

#include <cstdio>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

bool ComDot(int a1, int a2, int b1, int b2){
    if ((a2 < b1) || (b2 < a1)) return false;
    return true;
}

int main(){
    freopen ("magic.in", "r", stdin);
    freopen ("magic.out", "w", stdout);

    int n,k,num;
    vector <pair <int, int> > Edge, ComEdge;

    scanf("%d", &n);
    Edge.resize(n+1); ComEdge.resize(n+1);
/* Scan*/
    for (int i = 0; i<=n; i++){
        scanf("%d%d", &Edge[i].first, &Edge[i].second);
    }
/*Common dots with edge nom 0*/
    k = 0; num = -1;
    for (int i = 1; i<=n; i++){
        if (!ComDot(Edge[0].first, Edge[0].second, Edge[i].first, Edge[i].second)){
            k++; num = i;
        }
    }
    if (k > 1){
        printf("%d", 1);
        return 0;
    }
    if (k == 1){
        printf("%d", num+1);
        return 0;
    }
/*If you are here than edge 0 has common dots with all edges*/
    for (int i = 1; i<=n; i++){
        ComEdge[i].first = max(Edge[0].first, Edge[i].first);
        ComEdge[i].second = min(Edge[0].second, Edge[i].second);
    }
/*Common dots common edges [0,i] between each other*/
    k = 0; num = -1;
    for (int i = 2; i<=n; i++){
        if (!ComDot(ComEdge[1].first, ComEdge[1].second, ComEdge[i].first, ComEdge[i].second)){
            k++; num = i;
        }
    }
    if (k > 1){
        printf("%d", 2);
        return 0;
    }
    if (k == 1){
        printf("%d", num+1);
        return 0;
    }
    if (k == 0) printf("1");

    return 0;
}
