#include <iostream>
#include <fstream>

using namespace std;

struct line{
    double s;
    double e;
};

bool checkCollapse(line l1, line l2){
    return ( ((l1.s <= l2.e) && (l1.e >= l2.e)) || ((l1.s <= l2.s) && (l1.e >= l2.s)) );
}

line getCollapse(line l1, line l2){
    if((l1.s <= l2.e) && (l1.e >= l2.e)){
        line a;
        a.s = (l1.s > l2.s)? l1.s : l2.s;
        a.e = l2.e;
        return a;
    }else if((l1.s <= l2.s) && (l1.e >= l2.s)){
        line a;
        a.s = l2.s;
        a.e = (l1.e < l2.e)? l1.e : l2.e;
        return a;
    }
}

line inters(line l, line b){
    line a;
    if(checkCollapse(l, b)){
        a = getCollapse(b, b);
    }else if(checkCollapse(b, l)){
        a = getCollapse(b, l);
    }
    return a;
}

bool check(line l, line b){
    return checkCollapse(l, b) || checkCollapse(b, l);
}

int main()
{   int answ;
    ifstream iFile;
    iFile.open("magic.in");

    int n;
    iFile >> n;
    n++;
    line* lines = new line[n];
    for(int i = 0; i < n; i++){
        iFile >> lines[i].s >> lines[i].e;
    }
    iFile.close();

    line comp = lines[0];
    line oldComp;
    oldComp.s = -2000000000;
    oldComp.e = 2000000000;
    for(int i = 0; i < n; i++){
        if(checkCollapse(comp, lines[i])){
            comp = getCollapse(comp, lines[i]);
        }else if(checkCollapse(lines[i], comp)){
            comp = getCollapse(lines[i], comp);
        }else{
            if(!check(oldComp, lines[i]) || i == n-1){
                answ = i+1;
                break;
            }else{
                line nextL = lines[i + 1];
                line curLine = inters(oldComp, lines[i]);

                if(check(nextL, curLine)){
                    answ = i;
                    break;
                }else{
                    answ = i+1;
                    break;
                }
            }
        }
    }

    ofstream oFile;
    oFile.open("magic.out");
    oFile << answ << endl;
    oFile.close();
    return 0;
}
