/* GCC */
#include <iostream>
#include <fstream>

using namespace std;

struct Couple{
   int x = 0;
   int y = 0;
};

int main(){
    ifstream input("football.in");
    ofstream output("football.out");
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    bool gamer[1000];
    char field[100][100];
    for(int i = 0; i < 100; i++){
        for(int j = 0; j < 100; j++){
            field[i][j] = 0;
        }
    }
    int n, m, q, counter = 0;
    input >> n >> m >> q;
    for(int k = 0; k < q; k++){
        Couple start, end;
        input >> start.x >> start.y >> end.x >> end.y;
        start.x--; start.y--; end.x--; end.y--;
        if(start.x > end.x)
            swap(start, end);
        if(start.y > end.x)
            swap(start, end);
        for(int i = start.y; i <= end.y; i++){
            for(int j = start.x; j <= end.x; j++){
                if(field[i][j] != 0){
                    gamer[k] = true;
                    gamer[field[i][j]-1] = true;
                }
                else
                    field[i][j] = k+1;
            }
        }
    }

    for(int i = 0; i < q; i++)
        counter += gamer[i];
    output << counter << endl;

    return 0;
}
