#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <stdio.h>
#include <unordered_map>
#include <unordered_set>

using namespace std;

typedef long long ll;

const int inf = 1000000007;
const int maxn = 1000010;

struct Sq{
    int x1, y1, x2, y2;
};

bool in(int x, int y, Sq s) {
    return (s.x1 <= x && x <= s.x2 && s.y1 <= y && y <= s.y2);
}

bool over(Sq a, Sq b) {
    return (in(a.x1, a.y1, b) || in(a.x2, a.y2, b) || in(a.x2, a.y1, b) || in(a.x2, a.y1, b) ||
            in(b.x1, b.y1, a) || in(b.x2, b.y2, a) || in(b.x2, b.y1, a) || in(b.x2, b.y1, a));
}

int main() {
    freopen("football.in", "r", stdin);freopen("football.out", "w", stdout);
    int w, h, num;
    //cout << over({1, 1, 2, 2}, {2, 2, 3, 3});
    cin >> h >> w >> num;
    vector<Sq> sqs;
    int a, b, c, d;
    int res = 0;
    for (int i = 0; i < num; i++) {
        cin >> a >> b >> c >> d;
        Sq s = {a, b, c, d};
        sqs.push_back(s);
    }
    for (int i = 0; i < num; i++)
        for (int j = i+1; j < num; j++)
            res += over(sqs[i], sqs[j]);
    cout << res << endl;
    return 0;
}
