/* GCC */
#include <bits/stdc++.h>

using namespace std;

void quicksort(int m[][4],int left,int right)
{
   int i=left,j=right;
   int etalon=m[(left-right)/2+right][0];
   while (i<=j)
   {
       while (m[i][0]<etalon) i++;
       while (m[j][0]>etalon) j--;
       if (i<=j)
       {
           swap(m[i][0],m[j][0]);
           swap(m[i][1],m[j][1]);
           swap(m[i][2],m[j][2]);
           swap(m[i][3],m[j][3]);
           i++;
           j--;
       }
   }
   if (left<j) quicksort(m,left,j);
   if (i<right) quicksort(m,i,right);
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    freopen("football.in","r",stdin);
    freopen("football.out","w",stdout);
    int q;
    long long c=0;
    cin >> q >> q >> q;
    int m[q][4];
    for (int i=0;i<q;i++) cin >> m[i][0] >> m[i][1] >> m[i][2] >> m[i][3];
    quicksort(m,0,q-1);
    for (int i=0;i<q;i++)
    {
        for (int j=i+1;j<q;j++)
        {
            if (m[j][0]<=m[i][2] && ((m[i][1]>m[j][1] && m[j][3]>=m[i][1]) || (m[i][1]<=m[j][1] && m[i][3]>=m[j][1]))) c++;
        }
    }
    cout << c << '\n';
    return 0;
}
