#include<iostream>
#include<fstream>
#include<cmath>

using namespace std;


long fact(long a){
    if(a == 1 || a == 0)
        return 1;
    else if(a > 1){
        return a*fact(a-1);
    }
}

long comb(long n, long k){
    return fact(n) / (fact(n-k) * fact(k));
}

int main(){
    ifstream fin("radioactive.in");
    ofstream fout("radioactive.out");

    long N, C;
    cin >> N >> C;
    float counter = 0;


    for(long i = 0; i < N; i++){
        if(i <= C){
            counter += comb(N, i);
        }
        else{
            counter += comb(N,i) / N * (i-1);
        }
    }


    cout <<  counter << endl;


    fin.close();
    fout.close();
    return 0;
}

