/* GCC */

#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

const ll md = 1000000007;

ll fakt(ll x, ll md)
{
    ll y = 1;
    for (ll i = 2; i <= x; ++i)
    {
        y = y * i % md;
    }
    return y;
}

ll bp(ll a, ll n, ll md)
{
    ll res = 1;
    while (n)
    {
        if (n & 1)
        {
            res = res * a % md;
        }
        a = a * a % md;
        n >>= 1;
    }
    return res;
}

ll fi(ll n)
{
    ll res = 1;
    for (ll i = 2; i < n; ++i)
    {
        if (__gcd(i, n) == 1) ++res;
    }
    return res;
}

ll m(ll x)
{
    bool p = true;
    ll i = 2;
    while (p)
    {
        if (__gcd(i, x) == 1) return i;
        else ++i;
    }
}

int main()
{
    freopen("radioactive.in", "r", stdin);
    freopen("radioactive.out", "w", stdout);
    ll n, c;
    cin >> n >> c;
    if (n < c) cout << bp(2, n, md) << '\n';
    else
    {
        ll n1 = fakt(n, md), nk = fakt(n - 2, md);
        ll res;
        if (bp(m(nk), fi(nk - 1), md) != 1) res = n1 / 2 * bp(m(nk), fi(nk) - 1, md) % md;
        else res = n1 / 2;
        cout << bp(2, n, md) - res << '\n';
    }
    fclose(stdin);
    fclose(stdout);
}
