/* GCC */
#include <bits/stdc++.h>

#define pb push_back
#define ft first
#define sd second

#define pii pair<int, int>

#define open(s) freopen(s".in", "r", stdin); freopen(s".out", "w", stdout);

typedef long long ll;

using namespace std;

const ll mod = 1000000007;

ll power(ll n, ll pw){
    if (pw == 0)
        return 1;

    if (pw % 2 == 0)
    {
        ll temp = power(n, pw / 2);
        return (temp * temp) % mod;
    }

    return (power(n, pw - 1) * n) % mod;
}

int main(){
    open("radioactive");
    ll n, k;
    cin >> n >> k;

    if (n == 0 || k == 0)
    {
        printf("1\n");
        return 0;
    }

    if (n == 1)
    {
        printf("2\n");
        return 0;
    }

    ll twoPow = power(2, n);
    if (k >= n)
    {
        cout << twoPow << "\n";
        return 0;
    }

    if (k == 1)
    {
        ll fib[n + 2];
        fib[0] = 1;
        fib[1] = 1;

        for (int i = 2; i <= n + 1; ++i)
            fib[i] = (fib[i - 1] + fib[i - 2]) % mod;

        printf("%lli", fib[n + 1]);
        return 0;
    }

    printf("%lli", twoPow - ((k * (k+1) / 2) % mod) % mod);

    return 0;
}
